%define upstream_name	 Auth-Yubikey_Decrypter
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:	Decrypting the output from the yubikey token
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MA/MASSYN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Crypt::Rijndael)

Buildarch:	noarch


%description
The Yubikey Decrypter can be used to decrypt the AES encrypted output generated
from the one time password USB generator from Yubico. You need to have the AES
key to perform the decryption. You can obtain it by contacting Yubico, or by
seeding your own AES key to the Yubikey.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files 
%doc Changes README META.yml
%{perl_vendorlib}/Auth/Yubikey_Decrypter.pm
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.70.0-8.mga6
+ Revision: 1022678
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.70.0-7.mga6
+ Revision: 946802
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-6.mga5
+ Revision: 742646
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.70.0-5.mga5
+ Revision: 683563
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.70.0-4.mga4
+ Revision: 509281
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-3.mga3
+ Revision: 363234
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 0.70.0-2.mga1
+ Revision: 38790
- rebuild
- mageia rebuild
- imported package perl-Auth-Yubikey_Decrypter


* Sun Dec 13 2009 Jérôme Quelin <jquelin@mandriva.org> 0.70.0-1mdv2010.1
+ Revision: 478054
- update to 0.07

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.05-2mdv2010.0
+ Revision: 430264
- rebuild

* Tue Sep 16 2008 Oden Eriksson <oeriksson@mandriva.com> 0.05-1mdv2009.0
+ Revision: 285173
- import perl-Auth-Yubikey_Decrypter


* Tue Sep 16 2008 Oden Eriksson <oeriksson@mandriva.com> 0.05-1mdv2009.0
- initial Mandriva package
